import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store/index'
import VConsole from 'vconsole';
import { vant } from './utils/vant.config';
import 'vant/es/toast/style';//无法自动按需引入这两个的样式，需要手动引入
import 'vant/es/notify/style';
import 'vant/es/dialog/style';

if (process.env.NODE_ENV !== "production") {
    new VConsole({ theme: 'dark' });
}

const app = createApp(App)
vant(app)
app.use(store).use(router).mount('#app')
